
From: Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>

8xx: restrict ENET_BIG_BUFFERS option to drivers which actually use it

Signed-off-by: Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>
Signed-off-by: Marcelo Tosatti <marcelo.tosatti@cyclades.com
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/8xx_io/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/8xx_io/Kconfig~ppc32-8xx-restrict-enet_big_buffers-option arch/ppc/8xx_io/Kconfig
--- devel/arch/ppc/8xx_io/Kconfig~ppc32-8xx-restrict-enet_big_buffers-option	2005-08-06 16:13:50.000000000 -0700
+++ devel-akpm/arch/ppc/8xx_io/Kconfig	2005-08-06 16:13:50.000000000 -0700
@@ -69,7 +69,7 @@ config FEC_QS6612
 	
 config ENET_BIG_BUFFERS
 	bool "Use Big CPM Ethernet Buffers"
-	depends on NET_ETHERNET
+	depends on SCC_ENET || FEC_ENET
 	help
 	  Allocate large buffers for MPC8xx Etherenet.  Increases throughput
 	  and decreases the likelihood of dropped packets, but costs memory.
_
